#ifndef __UDS_2FSERVICE_Main_H
#define __UDS_2FSERVICE_Main_H

#include "TYW_stdint.h"
#include "UDS_2FService_Filter.h"
#include "UDS_2FService_Internal.h"

void UDS_Service_2F_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_2FService_DID(void);
void UDS_2FService_DID_62E1(void);
void UDS_2FService_DID_62E2(void);
void UDS_2FService_DID_62E4(void);


void UDS_2FService_DID_6048(void);
void UDS_2FService_DID_6091(void);
void UDS_2FService_DID_6046(void);
void UDS_2FService_DID_6040(void);
void UDS_2FService_DID_6092(void);
void UDS_2FService_DID_6020(void);
void UDS_2FService_DID_6093(void);
void UDS_2FService_DID_6021(void);
void UDS_2FService_DID_6094(void);
void UDS_2FService_DID_601B(void);
void UDS_2FService_DID_601C(void);
void UDS_2FService_DID_601D(void);
void UDS_2FService_DID_601E(void);
void UDS_2FService_DID_6038(void);
void UDS_2FService_DID_601A(void);
void UDS_2FService_DID_6095(void);
void UDS_2FService_DID_6024(void);
void UDS_2FService_DID_6025(void);
void UDS_2FService_DID_603D(void);
void UDS_2FService_DID_6035(void);
void UDS_2FService_DID_6036(void);
void UDS_2FService_DID_6034(void);
void UDS_2FService_DID_6028(void);
void UDS_2FService_DID_6090(void);
//void UDS_2FService_DID_6091(void);
void UDS_2FService_DID_6037(void);
//void UDS_2FService_DID_6092(void);
//void UDS_2FService_DID_6093(void);
void UDS_2FService_DID_6022(void);
void UDS_2FService_DID_601F(void);
//void UDS_2FService_DID_6094(void);
//void UDS_2FService_DID_6095(void);
void UDS_2FService_DID_6096(void);
void UDS_2FService_DID_6097(void);
void UDS_2FService_DID_6098(void);
void UDS_2FService_DID_603B(void);
void UDS_2FService_DID_6018(void);
void UDS_2FService_DID_6099(void);
void UDS_2FService_DID_609A(void);
void UDS_2FService_DID_604B(void);
void UDS_2FService_DID_609B(void);
void UDS_2FService_DID_6047(void);
void UDS_2FService_DID_6026(void);
void UDS_2FService_DID_6030(void);
void UDS_2FService_DID_602B(void);
void UDS_2FService_DID_609C(void);
void UDS_2FService_DID_609D(void);
void UDS_2FService_DID_609E(void);
void UDS_2FService_DID_609F(void);
void UDS_2FService_DID_60A0(void);
void UDS_2FService_DID_60A1(void);
void UDS_2FService_DID_6051(void);
void UDS_2FService_DID_6052(void);
void UDS_2FService_DID_60A3(void);
void UDS_2FService_DID_60A4(void);
void UDS_2FService_DID_60A5(void);
void UDS_2FService_DID_60A6(void);
void UDS_2FService_DID_60A7(void);
void UDS_2FService_DID_60A8(void);
void UDS_2FService_DID_60A9(void);
void UDS_2FService_DID_6043(void);
void UDS_2FService_DID_60AC(void);
//void UDS_2FService_DID_6048(void);
void UDS_2FService_DID_60AD(void);
void UDS_2FService_DID_60AE(void);
void UDS_2FService_DID_60AF(void);
void UDS_2FService_DID_60B0(void);
void UDS_2FService_DID_60B1(void);
void UDS_2FService_DID_60B2(void);
void UDS_2FService_DID_60B3(void);
void UDS_2FService_DID_60B4(void);
void UDS_2FService_DID_60B5(void);
void UDS_2FService_DID_60B6(void);
void UDS_2FService_DID_60B7(void);
void UDS_2FService_DID_60B8(void);
void UDS_2FService_DID_60B9(void);
void UDS_2FService_DID_60BA(void);
void UDS_2FService_DID_60BB(void);
void UDS_2FService_DID_60BC(void);
void UDS_2FService_DID_60BD(void);
void UDS_2FService_DID_60BE(void);
void UDS_2FService_DID_60BF(void);
void UDS_2FService_DID_60C0(void);
void UDS_2FService_DID_60C1(void);
void UDS_2FService_DID_60C2(void);
void UDS_2FService_DID_60C3(void);
void UDS_2FService_DID_60C4(void);
void UDS_2FService_DID_60C5(void);
void UDS_2FService_DID_60C6(void);
void UDS_2FService_DID_60C7(void);
//void UDS_2FService_DID_6048(void);
void UDS_2FService_DID_6065(void);
void UDS_2FService_DID_6066(void);
void UDS_2FService_DID_606A(void);
void UDS_2FService_DID_606B(void);
void UDS_2FService_DID_606C(void);
void UDS_2FService_DID_6077(void);

#endif